Drupal.behaviors.itoggle = {
  attach: function(context, settings) {
    var $toggle = jQuery('div.itoggle-wrapper', context);
    
    if ($toggle.length) {
      $toggle.once(function(){
        var $t = jQuery(this),
        id = $t.attr('data-id'),
        type = $t.attr('data-type'),
        itoggle_settings = {
          keepLabel: false,
          easing: Drupal.settings.itoggle.easing,
          speed: Drupal.settings.itoggle.speed,
          onSlideOn: function(){
            if (Drupal.settings.itoggle.onslideon) {
              Drupal.settings.itoggle.onslideon();
            }
            jQuery.getJSON(Drupal.settings.basePath + 'js/itoggle/' + type + '/' + id + '/1', function(response){
              if (!response.ok || response.ok !== true) {
                jQuery('label.itoggle', $t).removeClass('iTon').addClass('iToff').removeAttr('style');
              }
            });
          },
          onSlideOff: function(){
            if (Drupal.settings.itoggle.onslideoff) {
              Drupal.settings.itoggle.onslideoff();
            }

            jQuery.getJSON(Drupal.settings.basePath + 'js/itoggle/' + type + '/' + id + '/0', function(response){
              if (!response.ok || response.ok !== true) {
                jQuery('label.itoggle', $t).removeClass('iToff').addClass('iTon').removeAttr('style');
              }
            });
          }
        };

        if (Drupal.settings.itoggle.onclick) {
          itoggle_settings.onClick = Drupal.settings.itoggle.onclick;
        }

        if (Drupal.settings.itoggle.onslide) {
          itoggle_settings.onSlide = Drupal.settings.itoggle.onslide;
        }

        if (Drupal.settings.itoggle.onclickon) {
          itoggle_settings.onClickOn = Drupal.settings.itoggle.onclickon;
        }

        if (Drupal.settings.itoggle.onclickoff) {
          itoggle_settings.onClickOff = Drupal.settings.itoggle.onclickoff;
        }

        $t.find('input').iToggle(itoggle_settings);
      });
    }
  }
};